<template lang="html">
<v-container>
<v-layout row wrap>
    <v-dialog v-model="dialog" persistent max-width="290">
      <v-card>
        <v-card-title class="headline">Success</v-card-title>
        <v-card-text>Successfully Created Student</v-card-text>
        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn color="green darken-1" flat @click="goStudent()">OK</v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </v-layout>
  <v-flex xs12>
      <v-form
    ref="form"
    lazy-validation
  >
  <v-text-field
      v-model="data.mmuid"
      :counter="10"
      
      label="MMU ID"
      required
    ></v-text-field>
    <v-text-field
      v-model="data.name"
      :counter="10"
      
      label="Name"
      required
    ></v-text-field>
    <v-text-field
      v-model="data.father_name"
      :counter="10"
      
      label="Father Name"
      required
    ></v-text-field>
    <v-text-field
      v-model="data.admission_year"
      :counter="10"
      
      label="Admission Year"
      required
    ></v-text-field>
    <v-text-field
      v-model="data.nrc"
      :counter="10"
      
      label="NRC"
      required
    ></v-text-field>
    <v-text-field
      v-model="data.phone_number"
      :counter="10"
      
      label="Phone Number"
      required
    ></v-text-field>
     <v-text-field
      v-model="data.dob"
      :counter="10"
      
      label="Date of Birth"
      required
    ></v-text-field>
     <v-text-field
      v-model="data.address"
      :counter="10"
      
      label="Address"
      required
    ></v-text-field>
    </v-form>
  </v-flex>
      <v-flex xs12>
    <v-btn color="info" @click="save">Save Student</v-btn>
  </v-flex>
</v-layout>
</v-container>
</template>

<script lang="js">
import studentService from '../services/students.js'
  export default  {
    name: 'student',
    props: [],
    mounted() {
       studentService.getAll().then((result)=>{
        this.data = result.students;
      })
    },
    data() {
      return {
          dialog: false,
          data: {
                name: "",
                father_name: "",
                dob: "",
                nrc: "",
                phone_number: "",
                admission_year: "",
                mmuid: "",
                address: "",
            }
        }
    },
    methods: {
      goStudent(){
          this.$router.push({name:'student'})
      },
      save() {
       
       this.data.mmuid = Number(this.data.mmuid)
       studentService.save(this.data).then((result)=>{
        console.log(result);
        if(result.status = "success"){
            this.dialog = true
        }
      })
    }
    },
    computed: {

    }
}
</script>

<style scoped>
  .student {

  }
</style>
